@import "main.css";
@import "store_grid.css";
@import "page_title.css";
@import "page_nav.css";
@import "pagination.css";
@import "box_lunch.css";

.banner{
  display: block;
  height: calc(50vh - 50px);
  width: 100%;
  background-image: url(../img/banner/food_banner_01.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  position: relative;
  bottom: 100px;
  margin-bottom: -100px;
}

.store-catalog > .active{
  background-color: var(--dark-300) !important;
}

.store{
  padding: 24px 0px;
  background-color: var(--dark-200);
}

.store-catalo-title{
  text-align: center;
  margin: 20px 0px;
  font-size: .8rem;
  font-weight: 500;
  border-radius: 0;
  letter-spacing: 1px;
  color: var(--brand-color);
}

.store-catalog{
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
  text-align: center;
  margin: 0;
  padding: 0;
}

.store-catalog li{
  list-style: none;
  padding: 12px;
  box-sizing: border-box;
  outline: 1px solid var(--brand-color-2);
  background-color: #fff;
  user-select: none;
  font-size: .6rem;
}

.store-catalog li:hover{
  background-color: var(--dark-200);
}

.store-catalog li img{
  height: auto;
  width: 100%;
  margin: auto;
  pointer-events: none;
  display: block;
}

section .store_list{
  width: 100%;
  margin: 0;
}

.store_list th{
  background-color: var(--dark-300);
  padding: 12px 8px;
}

.store_list tr{
  background-color: var(--dark-100);
  padding: 12px 8px;
}

@media screen and (min-width: 768px){
  .banner{
    height: calc(50vh - 50px);
    background-image: url(../img/banner/store_banner_01.jpg);
  }

  .store_nav button{
    width: 280px;
  }

  .store-catalog li{
    font-size: .8rem;
  }

  .store-catalog{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
    text-align: center;
  }
}